package com.ecep.contract.task;

import com.ecep.contract.MessageHolder;
import com.ecep.contract.WebSocketClientTasker;
import com.ecep.contract.service.CloudRkService;
import com.ecep.contract.vo.CompanyVo;

import lombok.Setter;

public class CompanyRkUpdateTasker extends Tasker<Object> implements WebSocketClientTasker {

    @Setter
    CompanyVo company;

    @Override
    public String getTaskName() {
        return "CompanyRkUpdateTasker";
    }

    @Override
    public void updateProgress(long workDone, long max) {
        super.updateProgress(workDone, max);
    }

    @Override
    protected Object execute(MessageHolder holder) throws Exception {
        updateTitle("从 集团相关方平台 拉取数据更新 " + company.getName() + " 企业信息");
        return callRemoteTask(holder, getLocale(), company.getId());
    }

}
